## net.sf.saxon.style
Interface ExtensionElementFactory

All Known Implementing Classes:
  SQLElementFactory

    public interface ExtensionElementFactory

Interface ExtensionElementFactory.
A "Factory" for user-defined nodes in the stylesheet tree.
(Actually, it's not strictly a factory: it doesn't create the nodes, it merely identifies what class they should be.

Method Summary
`Class` `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Method Detail

### getExtensionClass

    Class getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Returns:
    null if the local name is not a recognised element type in this namespace.

Copyright (C) Michael H. Kay. All rights reserved.